[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSigAddSet

Set a signal in a signal set.

## Declaration

Source position: bunxovlh.inc line 80

`function FpSigAddSet(`
`var nset: tsigset;`
`signo: cint`
`):cint;`

## Description

FpSigAddSet adds signal Signo to the signal set nset. The function returns 0 on success.

## Errors

If an invalid signal number is given, -1 is returned.

## See also

FpSigEmptySet |  | Clear all signals from signal set.
FpSigFillSet |  | Set all signals in signal set.
FpSigDelSet |  | Remove a signal from a signal set.
FpSigIsMember |  | Check whether a signal appears in a signal set.

Documentation generated on: Feb 26 2014